%global momorel 1
%global md5sum_src0 7bfa40220bd8e19a263ca247202682ce

Summary: Civilization clone (game)
Name: freeciv
Version: 2.0.9
Release: %{momorel}m%{?dist}
License: GPL
Group: Amusements/Games
URL: http://freeciv.wikia.com/wiki/Main_Page
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
Source1: %{name}-server.desktop
Source10: %{name}-client.16.png
Source11: %{name}-client.32.png
Source12: %{name}-client.48.png
Source20: %{name}-server.16.png
Source21: %{name}-server.32.png
Source22: %{name}-server.48.png
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: SDL-devel
BuildRequires: SDL_mixer-devel
BuildRequires: alsa-lib-devel
BuildRequires: esound-devel >= 0.2.29-2m
BuildRequires: freetype-devel
BuildRequires: gtk2-devel
BuildRequires: imlib2-devel
BuildRequires: readline-devel
Obsoletes: freeciv-client freeciv-server

%description
FreeCiv is an implementation of Civilization II for UNIX/X

%prep
%setup -q
%patch0 -p1 -b .dekstop~

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

mkdir -p %{buildroot}%{_datadir}/X11/app-defaults
install -m 644 data/Freeciv %{buildroot}%{_datadir}/X11/app-defaults/

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{SOURCE10} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}-client.png
install -m 644 %{SOURCE11} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}-client.png
install -m 644 %{SOURCE12} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-client.png
install -m 644 %{SOURCE20} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}-server.png
install -m 644 %{SOURCE21} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}-server.png
install -m 644 %{SOURCE22} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-server.png

# install freeciv-server.desktop
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# clean up doc
rm -f doc/Makefile*
rm -f doc/*/Makefile*
rm -rf doc/man

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README doc
%{_bindir}/civclient
%{_bindir}/civmanual
%{_bindir}/civserver
%{_datadir}/X11/app-defaults/Freeciv
%{_datadir}/applications/freeciv.desktop
%{_datadir}/applications/freeciv-server.desktop
%{_datadir}/freeciv
%{_datadir}/icons/hicolor/*/apps/freeciv-client.png
%{_datadir}/icons/hicolor/*/apps/freeciv-server.png
%{_datadir}/locale/*/LC_MESSAGES/freeciv.mo
%{_mandir}/man6/civclient.6*
%{_mandir}/man6/civserver.6*

%changelog
* Fri Jun 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.9-1m)
- version 2.0.9
- [SECURITY] CVE-2006-3913
- import icons from cooker
- clean up spec file

* Fri Dec 12 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.14.1-1m)
- update to 1.14.1

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.14.0-4m)
  rebuild against DirectFB 0.9.18
  
* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.14.0-3m)
- rebuild against for XFree86-4.3.0

* Wed Mar  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.14.0-2m)
- remove exec prefix

* Tue Mar  4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.0-1m)
- update to 1.14.0

* Wed Aug 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.13.0-2m)
- rebuild against esound-	0.2.29-2m

* Tue Jul 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.13.0-1m)
- version 1.13.0

* Wed Jan  2 2002 Shingo Akagaki <dora@kondara.org>
- (1.12.0-2k)
- version 1.12.0

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.11.4-12k)
- nigittenu

* Sun Nov 11 2001 Motonobu Ichimura <famao@kondara.org>
- (1.11.4-10k)
- modify ja.po (euc-japan -> EUC-JP)

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (1.11.4-8k)
- rebuild against gettext 0.10.40.

* Sun May 13 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.11.4-6k)
- modified directory typo name correctly afaterstep to afterstep

* Thu Mar 29 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix source URL

* Wed Mar 28 2001 Toru Hoshina <toru@df-usa.com>
- [1.11.4-3k]

* Wed Mar 21 2001 Motonobu Ichimura <famao@kondara.org>
- changed GroupName from X11/Game -> Amusements/Games ;-<

* Wed Jan 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.11.0-11k)
- added freeciv.as for afterstep

* Tue Jan  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.11.0-9k)
- imported freeciv.desktop

* Thu Oct 12 2000 Motonobu Ichimura <famao@kondara.org>
- fixed Group Name ;-<
- fixed defattr problem ;-<

* Thu Jul 06 2000 KUSUNOKI Masanori <nori@kondara.org>
- Updated package to 1.11.0

* Thu Oct 21 1999  Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated package to 1.9.0

* Tue Aug 03 1999 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated package to 1.8.1

* Wed Apr 21 1999 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated package to 1.8.0

* Sat Dec 26 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated package to 1.7.2
- Split with server and client part

* Mon Dec 14 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Fixed the place where the files are stored to be FHS 2.0 compliant.
- Made the lot RHCN complient.

* Tue Oct 6 1998 Michael Maher <mike@redhat.com>
- updated package

* Tue Aug 4 1998 Michael Maher <mike@redhat.com>
- built package                                                  
